Page MenuHomePhabricator

Add new "Define" namespace to Sco.wiki
Closed, ResolvedPublic

Description

Basically, Scots Wikipedia voted to add a new content namespace to allow us to "define" words like a wiktionary would (except it would be hosted on Wikipedia). Could this be added as a namespace please?

Related integration

Event Timeline

MJL created this task.Mar 7 2020, 6:19 PM
Restricted Application added subscribers: RhinosF1, Aklapper. · View Herald TranscriptMar 7 2020, 6:19 PM
RhinosF1 claimed this task.Mar 7 2020, 7:06 PM

wil look tonight

Restricted Application added a project: User-RhinosF1. · View Herald TranscriptMar 7 2020, 7:06 PM
RhinosF1 added a comment.EditedMar 7 2020, 7:24 PM

Note to self: see L10038 - IS.php

Change 577802 had a related patch set uploaded (by RhinosF1; owner: RhinosF1):
[operations/mediawiki-config@master] Create Define/Define Talk: namespace on scowiki

https://gerrit.wikimedia.org/r/577802

RhinosF1 triaged this task as Medium priority.Mar 7 2020, 7:43 PM
RhinosF1 moved this task from Backlog to Config - to process on the Wikimedia-Site-requests board.
RhinosF1 moved this task from Radar to Extensions & Core on the User-RhinosF1 board.

Scheduled for deploy Monday Evening 11pm UTC

RhinosF1 updated the task description. (Show Details)Mar 7 2020, 8:17 PM
RhinosF1 updated the task description. (Show Details)Mar 7 2020, 8:30 PM
Pppery updated the task description. (Show Details)Mar 7 2020, 8:38 PM
Pppery updated the task description. (Show Details)
RhinosF1 added a comment.EditedMar 7 2020, 8:42 PM

@Pppery: I did agree with a wikimedia foundation developer that we couldn’t do that

RhinosF1 added a subscriber: Pppery.Mar 7 2020, 8:42 PM
Ebe123 added a subscriber: Ebe123.Mar 7 2020, 9:04 PM

Should we put this on hold for the discussion happening on sitereq-l on this subject?

Should we put this on hold for the discussion happening on sitereq-l on this subject?

Which discussion on sitereq-l?

Pppery removed a subscriber: Pppery.Mar 7 2020, 9:19 PM

You do realize I reverted myself on the task description change? (I had incorrectly though that was what had happened with the Alemansch sites, and was writing a comment to that effect, when I noticed my assumption was incorrect)

RhinosF1 added a subscriber: Pppery.Mar 7 2020, 9:20 PM

You do realize I reverted myself on the task description change? (I had incorrectly though that was what had happened with the Alemansch sites, and was writing a comment to that effect, when I noticed my assumption was incorrect)

Ah

Should we put this on hold for the discussion happening on sitereq-l on this subject?

Which discussion on sitereq-l?

Found it. https://groups.google.com/a/wikimedia.org/forum/?nomobile=true#!topic/sitereq-l/vge43SMMN8g

I’m going to leave SWAT for now scheduled but if we’re still unsure late on Monday then I’ll cancel and move it to another time.

Pppery removed a subscriber: Pppery.Mar 7 2020, 9:37 PM
Bugreporter updated the task description. (Show Details)Mar 8 2020, 8:33 AM
  • If wikt:sco: could target to w:sco:define: that'd be nice.

It is possible using way similar to https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/393289/, but you should decide whether:

Should we also set $wgCapitalLinkOverrides? Note it is not currently set in any wikis with a "word" namespace (currently alswiki, barwiki, pflwiki). cf T173668

MJL added a comment.Mar 8 2020, 5:08 PM

Should we also set $wgCapitalLinkOverrides? Note it is not currently set in any wikis with a "word" namespace (currently alswiki, barwiki, pflwiki). cf T173668

Yes, please. That'd be much appreciated! :D

MJL added a comment.Mar 8 2020, 5:27 PM
  • If wikt:sco: could target to w:sco:define: that'd be nice.

It is possible using way similar to https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/393289/, but you should decide whether:

The latter option (redirecting to a corresponding sco:page) would be the ideal.

Should we also set $wgCapitalLinkOverrides? Note it is not currently set in any wikis with a "word" namespace (currently alswiki, barwiki, pflwiki). cf T173668

Yes, please. That'd be much appreciated! :D

Added!

Should we put this on hold for the discussion happening on sitereq-l on this subject?

Which discussion on sitereq-l?

No issues there, proceeding.

Change 577802 merged by jenkins-bot:
[operations/mediawiki-config@master] Create Define/Define Talk: namespace on scowiki with CapitalLinkOverrides true

https://gerrit.wikimedia.org/r/577802

RhinosF1 closed this task as Resolved.Mar 9 2020, 11:17 PM
RhinosF1 moved this task from Deployment to Done on the User-RhinosF1 board.Mar 9 2020, 11:20 PM
MJL awarded a token.Mar 10 2020, 3:15 PM